Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.experiment
Class RemoteExperimentSubTask

    java.lang.Object
      weka.experiment.RemoteExperimentSubTask

All Implemented Interfaces:
  java.io.Serializable, Task

    public class RemoteExperimentSubTask

extends java.lang.Object
implements Task

Class to encapsulate an experiment as a task that can be executed on a remote host.

Version:
  $Revision: 1.6.2.1 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`RemoteExperimentSubTask()`

Method Summary
`void` | `execute()` Run the experiment
`Experiment` | `getExperiment()` Get the experiment for this sub task
`TaskStatusInfo` | `getTaskStatus()` Clients should be able to call this method at any time to obtain information on a current task.
`void` | `setExperiment(Experiment task)` Set the experiment for this sub task

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteExperimentSubTask

    public RemoteExperimentSubTask()

Method Detail

### setExperiment

    public void setExperiment(Experiment task)

  Set the experiment for this sub task

  Parameters:
    `task` - the experiment

### getExperiment

    public Experiment getExperiment()

  Get the experiment for this sub task

  Returns:
    this sub task's experiment

### execute

    public void execute()

  Run the experiment

  Specified by:
    `execute` in interface `Task`

### getTaskStatus

    public TaskStatusInfo getTaskStatus()

  Description copied from interface: `Task`
  Clients should be able to call this method at any time to obtain information on a current task.

  Specified by:
    `getTaskStatus` in interface `Task`
  Returns:
    a TaskStatusInfo object holding info and result (if available) for this task

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD